%% Simulation parameters
tsim_ILC=20;
tsamp_ILC=0.010;
ref_period=10;    
time_ILC=[0:tsamp_ILC:tsim_ILC-tsamp_ILC]';

%% Parameters for the real-time runs
Ts=0.1;

%% Refrence trajectory
pos_Reference_ILC=square(2*pi/ref_period*time_ILC);
correction_ILC=zeros(size(pos_Reference_ILC));

%% Heuristic filter design
z=tf([1 0],1,tsamp_ILC);     
s=tf([1 0],1);

Qd=c2d( 1/(s/30+1),tsamp_ILC);
Ld=0.4*z^20;

[Ld_B,Ld_A] = tfdata(Ld,'v');
[Qd_B,Qd_A] = tfdata(Qd,'v');

%% Initialize ILC iterations
err=[];
idx_ILC=1;